## org.eclipse.emf.cdo.util
Class CDOUtil

    java.lang.Object
      org.eclipse.emf.cdo.util.CDOUtil

    public final class CDOUtil

extends java.lang.Object

Method Summary
`static CDOCollectionLoadingPolicy` `createCollectionLoadingPolicy(int initialChunkSize, int resolveChunkSize)`
`static CDORevisionPrefetchingPolicy` `createRevisionPrefetchingPolicy(int chunkSize)`
`static CDOXATransaction` `createXATransaction()`
`static CDOXATransaction` `createXATransaction(CDOViewSet viewSet)`
`static CDOObject` `getCDOObject(org.eclipse.emf.ecore.EGenericType object, CDOView view)`
`static CDOObject` `getCDOObject(org.eclipse.emf.ecore.EModelElement object, CDOView view)`
`static CDOObject` `getCDOObject(org.eclipse.emf.ecore.EObject object)`
`static CDOObject` `getCDOObject(org.eclipse.emf.ecore.impl.EStringToStringMapEntryImpl object, CDOView view)`
`static org.eclipse.emf.ecore.EObject` `getEObject(org.eclipse.emf.ecore.EObject object)`
`static org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.resource.Resource>` `getResources(org.eclipse.emf.ecore.resource.ResourceSet resourceSet)`
`static CDORevision` `getRevisionByVersion(CDOObject object, int version)`
`static CDOViewSet` `getViewSet(org.eclipse.emf.ecore.resource.ResourceSet resourceSet)`
`static CDOXATransaction` `getXATransaction(CDOViewSet viewSet)`
`static boolean` `isSessionDirty(CDOSession session)` Returns `true` if the given `session` contains a dirty `transaction`, `false` otherwise.
`static void` `load(org.eclipse.emf.ecore.EObject eObject, CDOView view)`
`static boolean` `prepareDynamicEPackage(org.eclipse.emf.ecore.EPackage startPackage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### prepareDynamicEPackage

    public static boolean prepareDynamicEPackage(org.eclipse.emf.ecore.EPackage startPackage)

  Since:
    2.0

### createRevisionPrefetchingPolicy

    public static CDORevisionPrefetchingPolicy createRevisionPrefetchingPolicy(int chunkSize)

  Since:
    2.0

### createCollectionLoadingPolicy

    public static CDOCollectionLoadingPolicy createCollectionLoadingPolicy(int initialChunkSize,
                                                                           int resolveChunkSize)

  Since:
    2.0

### createXATransaction

    public static CDOXATransaction createXATransaction(CDOViewSet viewSet)

  Since:
    2.0

### createXATransaction

    public static CDOXATransaction createXATransaction()

  Since:
    2.0

### getXATransaction

    public static CDOXATransaction getXATransaction(CDOViewSet viewSet)

  Since:
    2.0

### getViewSet

    public static CDOViewSet getViewSet(org.eclipse.emf.ecore.resource.ResourceSet resourceSet)

  Since:
    2.0

### load

    public static void load(org.eclipse.emf.ecore.EObject eObject,
                            CDOView view)

  Since:
    2.0

### getEObject

    public static org.eclipse.emf.ecore.EObject getEObject(org.eclipse.emf.ecore.EObject object)

  Since:
    2.0

### getCDOObject

    public static CDOObject getCDOObject(org.eclipse.emf.ecore.EObject object)

  Since:
    2.0

### getCDOObject

    public static CDOObject getCDOObject(org.eclipse.emf.ecore.EModelElement object,
                                         CDOView view)

  Since:
    2.0

### getCDOObject

    public static CDOObject getCDOObject(org.eclipse.emf.ecore.EGenericType object,
                                         CDOView view)

  Since:
    2.0

### getCDOObject

    public static CDOObject getCDOObject(org.eclipse.emf.ecore.impl.EStringToStringMapEntryImpl object,
                                         CDOView view)

  Since:
    2.0

### getRevisionByVersion

    public static CDORevision getRevisionByVersion(CDOObject object,
                                                   int version)

  Since:
    2.0

### getResources

    public static org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.resource.Resource> getResources(org.eclipse.emf.ecore.resource.ResourceSet resourceSet)

  Since:
    2.0

### isSessionDirty

    public static boolean isSessionDirty(CDOSession session)

  Returns `true` if the given `session` contains a dirty `transaction`, `false` otherwise.

  Since:
    2.0
  See Also:
    `CDOTransaction`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.